[Feature] Support Haswell client in intel_idle driver

Bug #1083993 reported by Yingying Zhao on 2012-11-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
intel
Undecided
Unassigned
linux (Ubuntu)
Undecided
Tim Gardner
Raring
Undecided
Tim Gardner

Bug Description

Support Haswell client in intel_idle driver.

Upstream schedule:
Depends on the document disclosure.

Related branches

CVE References

Yingying Zhao (yingying-zhao) wrote :

HSW should be documented in public in January 2013, and we have HSW hardware, so the 1st patches should go public then.

For Haswell server, we will have to wait until we have hardware to test.

Yingying Zhao (yingying-zhao) wrote :

In Raring cycle, we will target to enable Haswell client support in intel_idle driver.
I will request features for the Haswell server in future Ubuntu release.

summary: - [Feature] Support Haswell in intel_idle driver
+ [Feature] Support Haswell client in intel_idle driver
description: updated
Yingying Zhao (yingying-zhao) wrote :

The patch is in upstream kernel now:

commit 85a4d2d41dc6d1c0296326204a857a9fab864a31
Author: Len Brown <email address hidden>
Date: Thu Jan 31 14:40:49 2013 -0500

    intel_idle: support Haswell

Changed in intel:
status: New → Fix Committed
tags: added: haswell
tags: added: wait-canonical-response
tags: added: raring
Tim Gardner (timg-tpi) on 2013-02-27
information type: Proprietary → Public
Changed in linux (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Tim Gardner (timg-tpi) wrote :

Upstream commits 85a4d2d41dc6d1c0296326204a857a9fab864a31 and b1beab48f6148d50fee4a56d741cc3168fe1b995

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-9.18

---------------
linux (3.8.0-9.18) raring; urgency=low

  [Tim Gardner]

  * Release Tracking Bug
    - LP: #1135937
  * [Config] CONFIG_PATA_ACPI=m
    - LP: #1084783

  [ Upstream Kernel Changes ]

  * intel_idle: stop using driver_data for static flags
    - LP: #1083993
  * intel_idle: support Haswell
    - LP: #1083993
  * i2c: i801: SMBus patch for Intel Avoton DeviceIDs
    - LP: #1083965
  * ahci: AHCI-mode SATA patch for Intel Avoton DeviceIDs
    - LP: #1083965
  * ata_piix: IDE-mode SATA patch for Intel Avoton DeviceIDs
    - LP: #1083965

  [ Upstream Kernel Changes ]

  * rebase to v3.8.1
    - LP: #1011792
 -- Tim Gardner <email address hidden> Wed, 27 Feb 2013 06:10:52 -0700

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Yingying Zhao (yingying-zhao) wrote :

Besides the above two commits for Haswell support, we also need one additional patch for Haswell processor with model:0x46.

This is a small patch:
https://git.kernel.org/cgit/linux/kernel/git/lenb/linux.git/commit/?h=next&id=0b15841b0bbbde75134a777c543dc51fe6187108

Please include this patch in Raring as well. Thanks!

Tim Gardner (timg-tpi) wrote :

Applied 'UBUNTU: SAUCE: intel_idle: additional Haswell CPU-id'

Yingying Zhao (yingying-zhao) wrote :

Tim,

Can you also apply these two turbostat patches? The patches enable the HSW support in turbostat which reports processor frequency and idle statistics.

1.
commit 70b43400bc290764b49ff3497a9824604c66c409
Author: Len Brown <email address hidden>
Date: Tue Jan 8 01:26:07 2013 -0500

    tools/power turbostat: support Haswell

    This patch enables turbostat to run properly on the
    next-generation Intel(R) Microarchitecture, code named "Haswell" (HSW).

    HSW supports the BCLK and counters found in SNB.

    Signed-off-by: Len Brown <email address hidden>

2. tools/power turbostat: additional Haswell CPU-id
https://git.kernel.org/cgit/linux/kernel/git/lenb/linux.git/commit/?h=next&id=deda402f5753f9017a18d856cef6ed71d9dfbc79

Thanks,
Yingying

Tim Gardner (timg-tpi) on 2013-04-03
Changed in linux (Ubuntu Raring):
status: Fix Released → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-17.27

---------------
linux (3.8.0-17.27) raring; urgency=low

  [ Adam Lee ]

  * SAUCE: (no-up) Bluetooth: Add support for 04ca:2007
    - LP: #1153448
  * SAUCE: (no-up) Bluetooth: Add support for 105b:e065
    - LP: #1161261

  [ Len Brown ]

  * SAUCE: (no-up) tools/power turbostat: additional Haswell CPU-id
    - LP: #1083993

  [ Tim Gardner ]

  * Revert "SAUCE: (no-up) seccomp: forcing auditing of kill condition"
    Replaced by upstream patch.
  * Release Tracking Bug
    - LP: #1165746

  [ Upstream Kernel Changes ]

  * rebase to v3.8.6
  * Revert "brcmsmac: support 4313iPA"
    - LP: #1157190
  * tools/power turbostat: support Haswell
    - LP: #1083993
  * net: calxedaxgmac: fix rx ring handling when OOM
  * cpufreq: check OF node /cpus presence before dereferencing it
  * Input: cypress_ps2 - fix trackpadi found in Dell XPS12
    - LP: #1103594
  * ARM: OMAP2+: Limit omap initcalls to omap only on multiplatform kernels
  * ARM: OMAP2+: Use omap initcalls
  * ARM: OMAP: Fix i2c cmdline initcall for multiplatform
  * ARM: OMAP: Fix dmaengine init for multiplatform
  * ARM: OMAP2+: Add multiplatform debug_ll support
  * ARM: OMAP2+: Disable code that currently does not work with
    multiplaform
  * ARM: OMAP2+: Enable ARCH_MULTIPLATFORM support
  * ARM: OMAP2+: Add minimal support for booting vexpress
  * ARM: OMAP2+: Remove now obsolete uncompress.h and debug-macro.S
  * davinci: do not include mach/hardware.h
  * clk: export __clk_get_name for re-use in imx-ipu-v3 and others
  * [SCSI] storvsc: avoid usage of WRITE_SAME
    - LP: #1157952
  * ACPICA: Fix possible memory leak in dispatcher error path.
  * KVM: x86: fix for buffer overflow in handling of MSR_KVM_SYSTEM_TIME (CVE-2013-1796)
    - LP: #1158254
    - CVE-2013-1796

  [ Wen-chien Jesse Sung ]

  * SAUCE: (no-up) Bluetooth: Add a load_firmware callback to struct hci_dev
    - LP: #1065400
  * SAUCE: (no-up) Bluetooth: Implement broadcom patchram firmware loader
    - LP: #1065400
  * SAUCE: (no-up) Bluetooth: Add support for 13d3:3388 and 13d3:3389
    - LP: #1065400
 -- Tim Gardner <email address hidden> Tue, 02 Apr 2013 08:02:43 -0600

Changed in linux (Ubuntu Raring):
status: In Progress → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Changed in intel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers